## org.apache.batik.apps.svgbrowser
Class DropDownHistoryModel.UndoPopUpMenuModel

    java.lang.Object
      org.apache.batik.apps.svgbrowser.DropDownHistoryModel
          org.apache.batik.apps.svgbrowser.DropDownHistoryModel.UndoPopUpMenuModel

All Implemented Interfaces:
  DropDownComponent.ScrollablePopupMenuModel

Enclosing class:
  DropDownHistoryModel

    public static class DropDownHistoryModel.UndoPopUpMenuModel

extends DropDownHistoryModel

The undo pop up menu model.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.batik.apps.svgbrowser.DropDownHistoryModel
`DropDownHistoryModel.RedoPopUpMenuModel, DropDownHistoryModel.UndoPopUpMenuModel`

Field Summary
`protected static java.lang.String` `UNDO_FOOTER_TEXT` The undo footer text.
`protected static java.lang.String` `UNDO_TOOLTIP_PREFIX` The prefix for the last undoable command.

Fields inherited from class org.apache.batik.apps.svgbrowser.DropDownHistoryModel
`historyBrowserInterface, items, parent`

Constructor Summary
`DropDownHistoryModel.UndoPopUpMenuModel(DropDownComponent.ScrollablePopupMenu parent, HistoryBrowserInterface historyBrowserInterface)` Creates the unod pop up menu model

Method Summary
`java.lang.String` `getFooterText()` Gets the footer text.
`void` `processItemClicked()` Processes click on the pop up menu item.

Methods inherited from class org.apache.batik.apps.svgbrowser.DropDownHistoryModel
`addItem, clearAllScrollablePopupMenuItems, createItem, processAfterShowed, processBeforeShowed, removeFirstScrollablePopupMenuItem, removeItem, removeLastScrollablePopupMenuItem`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNDO_FOOTER_TEXT

    protected static java.lang.String UNDO_FOOTER_TEXT

  The undo footer text. Used for the footer item.

### UNDO_TOOLTIP_PREFIX

    protected static java.lang.String UNDO_TOOLTIP_PREFIX

  The prefix for the last undoable command. E.g. (Undo change selection)

Constructor Detail

### DropDownHistoryModel.UndoPopUpMenuModel

    public DropDownHistoryModel.UndoPopUpMenuModel(DropDownComponent.ScrollablePopupMenu parent,
                                                   HistoryBrowserInterface historyBrowserInterface)

  Creates the unod pop up menu model

  Parameters:
    `parent` - The parent scrollable popup menu
    `historyBrowserInterface` - the historyBrowserInterface

Method Detail

### getFooterText

    public java.lang.String getFooterText()

  Description copied from class: `DropDownHistoryModel`
  Gets the footer text.

  Specified by:
    `getFooterText` in interface `DropDownComponent.ScrollablePopupMenuModel`
  Overrides:
    `getFooterText` in class `DropDownHistoryModel`
  Returns:
    footer text

### processItemClicked

    public void processItemClicked()

  Description copied from class: `DropDownHistoryModel`
  Processes click on the pop up menu item.

  Specified by:
    `processItemClicked` in interface `DropDownComponent.ScrollablePopupMenuModel`
  Overrides:
    `processItemClicked` in class `DropDownHistoryModel`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.